package com.key.vibekeyboard.viewmodel;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.ViewModel;

import com.key.vibekeyboard.data.database.AppDatabase;
import com.key.vibekeyboard.data.database.entity.WallpaperInfo;

import java.util.List;

public class WallpaperViewModel extends ViewModel {
    private final LiveData<List<WallpaperInfo>> favoriteList;

    public WallpaperViewModel() {
        AppDatabase database = AppDatabase.getInstance();
        favoriteList = database.wallpaperInfoDao().getLiveLikeList(true);
    }

    public LiveData<List<WallpaperInfo>> getFavoriteList() {
        return favoriteList;
    }
}
